/**
 * This class was generated from a set of XML constraints
 *   by the Enhydra Zeus XML Data Binding Framework. All
 *   source code in this file is constructed specifically
 *   to work with other Zeus-generated classes. If you
 *   modify this file by hand, you run the risk of breaking
 *   this interoperation, as well as introducing errors in
 *   source code compilation.
 *
 * * * * * MODIFY THIS FILE AT YOUR OWN RISK * * * * *
 *
 * To find out more about the Enhydra Zeus framework, you
 *   can point your browser at <http://zeus.enhydra.org>
 *   where you can download releases, join and discuss Zeus
 *   on user and developer mailing lists, and access source
 *   code. Please report any bugs through that website.
 */
package org.objectweb.jonas_ws.deployment.xml;

// Global Interface Import Statements
import java.io.File;
import java.io.IOException;
import java.io.OutputStream;
import java.io.Writer;

// Local Interface Import Statements
import java.util.List;
import java.io.Serializable;

public interface JavaWsdlMapping extends Serializable {

    public static final String ZEUS_XML_NAME = "java-wsdl-mapping";
    public static final String[] ZEUS_ATTRIBUTES = {"id"};
    public static final String[] ZEUS_ELEMENTS = {"package-mapping", "java-xml-type-mapping", "exception-mapping", "service-interface-mapping", "service-endpoint-interface-mapping"};

    public List getPackageMappingList();

    public void setPackageMappingList(List packageMappingList);

    public void addPackageMapping(PackageMapping packageMapping);

    public void removePackageMapping(PackageMapping packageMapping);

    public List getJavaXmlTypeMappingList();

    public void setJavaXmlTypeMappingList(List javaXmlTypeMappingList);

    public void addJavaXmlTypeMapping(JavaXmlTypeMapping javaXmlTypeMapping);

    public void removeJavaXmlTypeMapping(JavaXmlTypeMapping javaXmlTypeMapping);

    public List getExceptionMappingList();

    public void setExceptionMappingList(List exceptionMappingList);

    public void addExceptionMapping(ExceptionMapping exceptionMapping);

    public void removeExceptionMapping(ExceptionMapping exceptionMapping);

    public List getServiceInterfaceMappingList();

    public void setServiceInterfaceMappingList(List serviceInterfaceMappingList);

    public void addServiceInterfaceMapping(ServiceInterfaceMapping serviceInterfaceMapping);

    public void removeServiceInterfaceMapping(ServiceInterfaceMapping serviceInterfaceMapping);

    public List getServiceEndpointInterfaceMappingList();

    public void setServiceEndpointInterfaceMappingList(List serviceEndpointInterfaceMappingList);

    public void addServiceEndpointInterfaceMapping(ServiceEndpointInterfaceMapping serviceEndpointInterfaceMapping);

    public void removeServiceEndpointInterfaceMapping(ServiceEndpointInterfaceMapping serviceEndpointInterfaceMapping);

    public String getId();

    public void setId(String id);

    public void marshal(File file) throws IOException;

    public void marshal(OutputStream outputStream) throws IOException;

    public void marshal(Writer writer) throws IOException;

    public void setDocType(String name, String publicID, String systemID);

    public void setOutputEncoding(String outputEncoding);

}
